// contraction-expansion geometry

lc = 0.05;  // charateristic mesh length variable
lin = 5;  // inlet length
lcon = 5;  // contraction length
lout = 5;  // outlet length
rcon = 0.25;  // contraction radius

// setup domain boundaries
Point(1) = {0, 0, 0, lc};
Point(2) = {0, 1, 0, lc};
Point(3) = {lin, 1,  0, lc} ;
Point(4) = {lin, rcon, 0, lc} ;
Point(5) = {lin+lcon, rcon, 0, lc} ;
Point(6) = {lin+lcon, 1, 0, lc} ;
Point(7) = {lin+lcon+lout, 1, 0, lc} ;
Point(8) = {lin+lcon+lout, 0, 0, lc} ;

Line(1) = {1,2} ;
Line(2) = {2,3} ;
Line(3) = {3,4} ;
Line(4) = {4,5} ;
Line(5) = {5,6} ;
Line(6) = {6,7} ;
Line(7) = {7,8} ;
Line(8) = {8,1} ;

Line Loop(5) = {1,2,3,4,5,6,7,8} ;

// create the physical entities for the inlet and output which become the arb regions
Physical Line("<inlet>") = {1};
Physical Line("<outlet>") = {7};
Physical Line("<centreline>") = {8};

// all of the flow domain must be included as a physical entity to be output under gmsh
Plane Surface(1) = {5};
Physical Surface("<flow domain>") = {1};
